
Name:    krdc
Summary: Remote desktop client
Version: 4.11.4
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdenetwork/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: freerdp >= 1.0.2
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libvncserver-devel
# for hicolor icon hack in %%prep
BuildRequires: oxygen-icon-theme
%if 0%{?fedora}
%global telepathy 1
BuildRequires: pkgconfig(TelepathyQt4)
%endif

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: freerdp >= 1.0.2

# when split occurred
Conflicts: kdenetwork-common < 7:4.10.80
Obsoletes: kdenetwork-krdc < 7:4.10.80
Provides:  kdenetwork-krdc = 7:%{version}-%{release}

%description
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: kdenetwork-krdc-libs < 7:4.10.80
Provides:  kdenetwork-krdc-libs = 7:%{version}-%{release}
%description libs
%{summary}.

%package devel
Summary: Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
Obsoletes: kdenetwork-krdc-devel < 7:4.10.80
Provides:  kdenetwork-krdc-devel = 7:%{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q

# create/use hicolor app icon from oxyxgen-icon
for icon in /usr/share/icons/oxygen/*/apps/krdc.png ; do
  size=$(echo $icon | cut -d/ -f6 | cut -dx -f1)
  cp -a ${icon} hi${size}-apps-krdc.png
done
echo 'kde4_install_icons( ${ICON_INSTALL_DIR} )' >> CMakeLists.txt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f krdc.lang
%{_kde4_bindir}/krdc
%{_kde4_appsdir}/krdc/
%{_kde4_datadir}/applications/kde4/krdc.desktop
%{_kde4_datadir}/kde4/services/krdc_*.desktop
%{_kde4_datadir}/kde4/services/rdp.protocol
%{_kde4_datadir}/kde4/services/vnc.protocol
%{_kde4_datadir}/kde4/servicetypes/krdc*.desktop
%{_kde4_iconsdir}/hicolor/*/apps/krdc.*
%{_kde4_libdir}/kde4/kcm_krdc*.so
%{_kde4_datadir}/kde4/services/ServiceMenus/smb2rdc.desktop
%{_kde4_datadir}/config.kcfg/krdc.kcfg
%{_kde4_libdir}/kde4/krdc_*.so
%if 0%{?telepathy:1}
%{_kde4_bindir}/krdc_rfb_approver
%{_kde4_appsdir}/krdc_rfb_approver/
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_approver.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_handler.service
%{_datadir}/telepathy/clients/krdc_rfb_approver.client
%{_datadir}/telepathy/clients/krdc_rfb_handler.client
%endif

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkrdccore.so.4*

%files devel
%{_kde4_includedir}/krdc/
%{_kde4_libdir}/libkrdccore.so


%changelog
* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Sat Sep 07 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-2
- drop nxcl dep, not used
- freerdp support is unconditional

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Tue Jul 30 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.97-1
- 4.10.97

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90
